Subject: Re: Call for Discussion on Chinese TeX

From: Stephen G Simpson <[email-masked]>
Date: Tue, 5 Apr 1994 22:18:30 -0400

Thanks to Guangxi Wu <[email-masked]> for his well-written set of
articles on Chinese TeX in alt.chinese.computing.  The last two
articles in particular contain some interesting suggestions for the
future.

I would like to add a few suggestions.

1.  It would make me very happy if we could find a real TeX expert who
would volunteer to look at the existing Poor Man macros and rewrite
them in a better, more efficient way.  A TeX master could also add
desirable features such as better handling of multiple fonts.  Perhaps
a TeX master could even make some of the bugs disappear!

[ The current version of the Poor Man macros is at math.psu.edu,
/pub/simpson/chinese/pmc.tar.Z.  I wrote them a couple of years ago,
based on the originals from Thomas Ridgeway and with a lot of valuable
help from Mark Leisher and some TeX experts on the comp.text.tex
newsgroup.  In order to work on this project, I had to learn much more
than I ever wanted to know about catcodes and other obscure TeX
concepts.  But I am not and never will be a true master of TeX.  I am
sure that a TeX master would be able to do a much better job. ]

2.  We need to develop a library of more and better Chinese PK fonts,
and better techniques for creating such fonts.  My experimental
HBFtoPK program (in math.psu.edu, /pub/simpson/chinese/hbf/hbftopk) is
a start, and Guangxi Wu has apparently used the ideas in my program to
create some better Chinese PK fonts based on 56x56 bitmaps.  I hope
that Guangxi Wu will eventually make his fonts available for anonymous
FTP, along with macros to use them.  But more needs to be done.

3.  Somebody should research a way to use Chinese PostScript fonts and
TrueType fonts with Poor Man.  I believe that this should be possible
by using TeX's virtual font facility.  Furthermore, it appears that
some very high quality PostScript and TrueType fonts for Chinese are
available at low cost.  If these fonts can be used with Poor Man or
another Chinese TeX system, the problem of low quality fonts will be
solved forever, at least for those who can like PostScript and
TrueType.

Again, thanks to Guangxi Wu for highlighting these topics in a
stimulating way.

-- Steve

Stephen G. Simpson
Department of Mathematics, Pennsylvania State University
333 McAllister Building, University Park, State College, PA 16802
Office phone +1 814 863-0775     FAX +1 814 865-3735
E-mail [email-masked]      Home phone +1 814 238-2274
World Wide Web http://www.math.psu.edu/simpson/